### Method

# Clutter SnapConstraint get_source

#### Declaration [src]

    ClutterActor*
    clutter_snap_constraint_get_source (
      ClutterSnapConstraint* constraint
    )

#### Description [src]

Retrieves the `ClutterActor` set using `clutter_snap_constraint_set_source()`.

Gets property | `Clutter.SnapConstraint:source`

#### Return value

Type: `ClutterActor`

A pointer to the source actor.

The returned data is owned by the instance.